<?php
$sheetId = 160662231666564;
$rowId = 2821417974665092;

//get discussion using rowId
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.smartsheet.com/2.0/sheets/$sheetId/rows/$rowId/discussions?include=comments,attachments&includeAll=true");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer qJc6jnLsHoqznwCbkApNwLMQamt6ITcykpgen", 'Content-Type: application/json']);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$discussions = json_decode(curl_exec($ch));
curl_close($ch);

echo "<pre>";
print_r($discussions);
echo "</pre>";